import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { MainLayoutComponent } from './layout/main-layout/main-layout.component';
import { FactoryOverviewComponent } from './pages/factory-overview/factory-overview.component';
import { DeviceMonitorComponent } from './pages/device-monitor/device-monitor.component';
import { DeviceManagementComponent } from './pages/device-management/device-management.component';
import { HistoricalDataComponent } from './pages/historical-data/historical-data.component';
import { SystemSettingsComponent } from './pages/system-settings/system-settings.component';
import { AiAssistantComponent } from './pages/ai-suggestions/ai-assistant.component';

export const routes: Routes = [
  {
    path: '',
    component: MainLayoutComponent,
    children: [
      { path: '', redirectTo: 'overview', pathMatch: 'full' },
      { path: 'overview', component: FactoryOverviewComponent },
      { path: 'monitor', component: DeviceMonitorComponent },
      { path: 'devices', component: DeviceManagementComponent },
      { path: 'history', component: HistoricalDataComponent },
      { path: 'settings', component: SystemSettingsComponent },
      { path: 'aiassistant', component: AiAssistantComponent },
      { 
        path: 'device', 
        loadComponent: () => import('../modules/industry/machine/page-vibration-monitor/page-vibration-monitor').then(m => m.PageVibrationMonitorComponent)
       },
    ]
  },
  { path: '**', redirectTo: 'overview' }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }