# 使用示例：星星打分组件

## 组件特性

1. **独立组件**：使用 `standalone: true` 声明
2. **输入参数**：通过 `@Input() star` 接收初始评分
3. **输出事件**：通过 `@Output() onStarChange` 发射评分变化
4. **交互逻辑**：
   - 点击星星点亮到当前星星
   - 再次点击相同星星则取消评分
5. **样式**：
   - 默认灰色星星
   - 点亮星星为金色
   - 悬停时为橙色

你可以根据需要调整星星的大小、颜色或其他样式属性。

```ts
import { CompStarRatingComponent } from './comp-star-rating.component';

// 在需要使用的地方
@Component({
  standalone: true,
  imports: [CompStarRatingComponent],
  template: `
    <comp-star-rating 
      [star]="userRating" 
      (onStarChange)="handleRatingChange($event)"
    ></comp-star-rating>
    <p>当前评分: {{userRating}}</p>
  `
})
export class SomeComponent {
  userRating = 3;

  handleRatingChange(rating: number) {
    this.userRating = rating;
  }
}
```