import { Component, ViewEncapsulation } from '@angular/core';
import { DatePipe } from '@angular/common';
import { RouterModule } from '@angular/router';
import { CompDeviceItem } from './comp-device-item/comp-device-item';

@Component({
  standalone: true,
  selector: 'app-device-management',
  styleUrls: ['./device-management.css'],
  imports: [
    DatePipe,
    RouterModule,
    CompDeviceItem
  ],
  templateUrl: './device-management.component.html',
  encapsulation: ViewEncapsulation.None
})
export class DeviceManagementComponent {
  listType:string = "list"
  deviceList:Array<any> = [
  {
    "did": "DEV-2023-001",
    "name": "CNC 铣床 #01",
    "type": "CNC加工中心",
    "location": "车间A/产线3",
    "status": "运行中",
    "health": 89,
    "lastMaintenance": new Date()
    },
  {
    "did": "DEV-2023-002",
    "name": "注塑机 #05",
    "type": "注塑机",
    "location": "车间B/产线1",
    "status": "待机",
    "health": 76,
    "lastMaintenance": new Date()
    },
  {
    "did": "DEV-2023-003",
    "name": "装配机器人 #03",
    "type": "装配机器人",
    "location": "车间C/产线2",
    "status": "维护中",
    "health": 65,
    "lastMaintenance": new Date()
    },
  {
    "did": "DEV-2023-004",
    "name": "质检仪 #02",
    "type": "检测设备",
    "location": "车间A/产线1",
    "status": "运行中",
    "health": 92,
    "lastMaintenance": new Date()
    },
  {
    "did": "DEV-2023-005",
    "name": "包装机 #07",
    "type": "包装设备",
    "location": "车间C/产线3",
    "status": "已停止",
    "health": 58,
    "lastMaintenance": new Date()
    }
]
currentTime: Date = new Date();
   ngOnInit(): void {
    // 更新时间，每秒更新一次
    setInterval(() => {
      this.currentTime = new Date();
    }, 1000);

   }
}
